# Uses of Interface
org.eclipse.ui.views.markers.internal.IField

Packages that use IField
Package
Description
org.eclipse.ui.views.markers.internal

## Uses of IField in org.eclipse.ui.views.markers.internal

Classes in org.eclipse.ui.views.markers.internal that implement IField
Modifier and Type
Class
Description
`class`
`AbstractField`
AbstractField is the abstract superclass for fields.
`class`
`FieldCategory`
FieldCategory is the field for showing categories of markers.
Fields in org.eclipse.ui.views.markers.internal declared as IField
Modifier and Type
Field
Description
`protected IField`
MarkerGroup.`field`
`protected IField[]`
TableComparator.`fields`
Methods in org.eclipse.ui.views.markers.internal that return IField
Modifier and Type
Method
Description
`IField`
MarkerGroup.`getField()`
Return the field for the receiver.
`IField[]`
TableComparator.`getFields()`
`IField`
TableComparator.`getTopField()`
Return the field at the top priority.
Methods in org.eclipse.ui.views.markers.internal with parameters of type IField
Modifier and Type
Method
Description
`void`
TableComparator.`setTopPriority(IField property)`
Constructors in org.eclipse.ui.views.markers.internal with parameters of type IField
Modifier
Constructor
Description
``
`TableComparator(IField[] properties, int[] defaultPriorities, int[] defaultDirections)`